/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Correlator
{
    /// <summary>
    /// Interaction logic for Inputs.xaml
    /// </summary>
    public partial class Inputs : UserControl
    {
        public delegate void Selection(string input);
        public event Selection onSelection;
        
        public ObservableCollection<string> data
        {
            get
            {
                return (ObservableCollection<string>)DataContext;
            }
        }
        
        public Inputs()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            data.Add(string.Empty);
        }

        private void SelectionChanged(object sender, RoutedEventArgs e)
        {
            
            //onSelection?.Invoke(list.GetListViewItem(.DataContext.ToString());
        }
    }
}


