/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ExperienceManager
{
    public class Action
    {
        internal string name { get; private set; }
        internal List<int> args { get; private set; }
        internal bool primary { get; private set; }

        public Action(string name, List<int> args,bool primary=false)
        {
            this.name = name;
            this.args = args;
            this.primary = primary;
        }
    }
}


