/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ExperienceManager
{
    public class CommitedException : Exception
    {
        public CommitedException(string action) : base(
            string.Format("Action '{0}' failed after the sequence was committed", action))
        { }

        public CommitedException():base("Cannot interrupt sequence after it is committed") { }
    }
}


