/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System.Collections.Generic;

namespace Library
{
    public class MacroAction : Action
    {
        public MacroAction()
        {

        }

        public MacroAction(string name, IEnumerable<Type> args) : base(name, args)
        {
        }
        public MacroAction(string name, IEnumerable<Argument> args=null) : base(name,args)
        {
        }
        public MacroAction(string name) : base(name, new List<Argument>())
        {
        }
    }
}


