/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Library
{
    public class Strings
    {
        Strings instance;
        List<string> list;

        public string this[int index]
        {
            get { return list[index]; }
        }

        public Strings Create()
        {
            return instance ?? (instance = new Strings());
        }

        private Strings()
        {
            list = new List<string>();
        }
        
        public void Add(string item)
        {
            list.Add(item);
        }
    }
}


