/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;

namespace ExperienceManager
{
    public enum Status
    {
        input, succeeded, started, failed
    }
    internal class StatusMessage : Message
    {
        public Status status { get; private set; }

        public StatusMessage(string msg):base(msg.Substring(msg.IndexOf(' ')+1))
        {
            Status status;
            Enum.TryParse(msg.Substring(0, msg.IndexOf(' ')), out status);
            //this.action = msg.Substring(msg.IndexOf(' ') + 1, msg.IndexOf('(') - msg.IndexOf(' ') - 1);
            this.status = status;
        }
    }
}

