/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Medium
{
    internal class Argument
    {
        readonly int index;
        readonly string content;

        public Argument(int index)
        {
            this.index = index;
        }

        public Argument(string content)
        {
            this.index = -1;
            this.content = content;
        }

        public override string ToString()
        {
            return index == -1 ? content : index.ToString();
        }
    }
}


