/*Copyright (c) Dr. Stephen Ware and the University of New Orleans. All rights reserved.
Contributors: Alireza Shirvani, Edward T. Garcia
Licensed under the Non-Profit Open Software License version 3.0. See LICENSE file in the project root for full license information.*/
using System;
//using System.Collections.Generic;
//using System.Linq;
//using System.Text;
//using System.Threading.Tasks;

//namespace Medium
//{
//    public class Database
//    {
//        Lists lists;
//        ActionSequences actions;
//        Icons icons;
//        List<Item> items;
//        Fields fields;
//        Dictionary<string, string> bindings;
//        Fluents fluents;

//        public Sequence Get(string input, List<string> playerActions = null)
//        {
//            if (playerActions != null && bindings.ContainsKey(input.ToLower()))
//            {
//                var action = bindings[input.ToLower()];
//                if (playerActions.Contains(action))
//                    return actions.Get(bindings[input.ToLower()], fluents);
//            }
//            return actions.Get(input, fluents);
//        }

//        public Database()
//        {
//            fluents = new Fluents();
//            icons = new Icons();
//            fields = new Fields();
//            items = Items();
//            lists = new Lists();
//            lists.Add("Merchant", GetItem("Potion"));
//            lists.Add("Merchant", GetItem("Sword"));
//            lists.Add("Player", GetItem("Coin"));
//            lists.Add("Guard", GetItem("Greatsword"));

//            bindings = GetBindings();
//            actions = GetAll();
//        }

//        private ActionSequences GetAll()
//        {
//            return new ActionSequences()
//            {
//                new Sequence("End")
//                    .Add("SetNarration",false, "'And this is how you died a most painful death!'")
//                    .Add("ShowNarration",true),

//                new Sequence("input Cancel").If((f)=>{return f.IsTrue("GameOver"); })
//                    .Add("Quit"),

//                new Sequence("input Key Cancel")
//                    .Add((a)=>{fluents.SetFalse("InventoryOpen"); })
//                    .Add("HideNarration")
//                    .Add("HideList"),

//                new Sequence("input Cancel").If((f)=>{return f.IsFalse("GameOver"); })
//                    .Add((a)=>{fluents.SetFalse("InventoryOpen"); })
//                    .Add("HideList"),

//                new Sequence("input Key Inventory").If((a)=>{return a.IsFalse("InventoryOpen"); })
//                    .Add("ClearList")
//                    .Add((a)=>{return lists.GetAddActions("Player"); })
//                    .Add("ShowList",true, "Player", "Inventory")
//                    .Add((a)=>{fluents.SetTrue("InventoryOpen"); }),

//                new Sequence("input Key Inventory").If((a)=>{return a.IsTrue("InventoryOpen"); })
//                    .Add("HideList")
//                    .Add((a)=>{fluents.SetFalse("InventoryOpen"); }),

//                new Sequence("input arrived Player position CastleFront.Gate")
//                    .Add((a)=>{return icons.Enable("CastleFront.Gate",  "Open","Open","Go to the Market"); }),

//                new Sequence("input Attack","attacked", "place")
//                    .Add("WalkTo",false, "Player", "attacked"),

//                new Sequence("input Kill","attacked", "place")
//                    .Add("WalkTo",false, "Player", "attacked"),

//                new Sequence("Kill","attacker","attacked", "place")
//                    .Add("WalkTo",false, "attacker", "attacked")
//                    .Add("Attack",true, "attacker", "attacked")
//                    .Add("Die", false, "attacked"),

//                new Sequence("Buy", "buyer","merchant", "item")
//                    .Add("HideList")
//                    .Add(icons.DisableAll(), "item")
//                    .Add((a)=>{ lists.Add(a[0], GetItem(a[1])); },"Player", "item")
//                    .Add((a)=>{ lists.Remove(a[0],GetItem("Coin")); }, "Player")
//                    .Add((a)=>{ lists.Remove(a[0],GetItem(a[1])); }, "merchant", "item")
//                    .Add((a)=>{ return GetItem(a[0])["Own"]; },"item"),

//                new Sequence("input Buy","item")
//                    .Add("SetNarration",false,"'You cannot pay for this item'")
//                    .Add("ShowNarration",true),

//                new Sequence("Steal", "thief", "owner", "item")
//                    .Add("HideList",true)
//                    .Add("SetExpression",false, "owner","Scared")
//                    .Add((a)=>{ lists.Add(a[0], GetItem(a[1])); },"Player", "item")
//                    .Add((a)=>{ lists.Remove(a[0],GetItem(a[1])); }, "merchant", "item")
//                    .Add((a)=>{ return GetItem(a[0])["Own"]; },"item"),

//                new Sequence("Walk", "character", "from", "to")
//                    .Add("DisableInput", true)
//                    .Add((a)=>{return string.Format("Exit({0}, {1})",a[0],fields.Get("Door", a[1],a[2])); },"Player", "from", "to").DontWait()
//                    .Add("FadeOut")
//                    .Add("SetPosition",false, "Player", "to")
//                    .Add("FadeIn").DontWait()
//                    .Add("EnableInput")
//                    .Add((a)=>{return icons.Enable(fields.Get("Door", a[2],a[1]), "Open", "Open", "Go to " + a[1]); },"Player", "from", "to"),

//                new Sequence("input Open","door")
//                    .Add("WalkTo", false,"Player", "door"),

//                new Sequence("input arrived Player position Merchant")
//                    .Add((a)=>{return icons.Enable("Merchant","TalkTo","TalkTo","Talk to Merchant"); }),

//                new Sequence("input TalkTo", "other")
//                    .Add("SetLeft",false, "Player")
//                    .Add("SetRight",false, "other")
//                    .Add("SetDialog",false, "'Take a look at my fine wares! [ShowMerchandise|Ok] [Nevermind|Never mind]'")
//                    .Add("ShowDialog", true),

//                new Sequence("input Selected Nevermind")
//                    .Add("HideDialog"),

//                new Sequence("input Selected ShowMerchandise")
//                    .Add("HideDialog")
//                    .Add("ClearList")
//                    .Add((a)=>{return lists.GetAddActions(a[0]); },"Merchant")
//                    .Add((a)=>{return lists.Get(a[0]).Select(z=> icons.Enable(z["name"], "Buy", "Buy", "Buy "+z["name"])).ToList(); },"Merchant")
//                    .Add((a)=>{return lists.Get(a[0]).Select(z=> icons.Enable(z["name"], "Steal", "Steal", "Steal "+z["name"],false)).ToList(); },"Merchant")
//                    .Add("ShowList",true, "Merchant", "'Merchandise'"),

//           new Sequence("Attack", "attacker", "attacked", "place")
//                     .Add("WalkTo", false, "attacker", "attacked")
//                     .Add("Attack", true, "attacker", "attacked"),

//        };
//        }

//        private Bindings GetBindings()
//        {
//            return new Bindings()
//             .Add("input Open CastleFront.Gate", "Walk(Player, CastleFront, Market)")
//             .Add("input Open Market.Gate", "Walk(Player, Market, CastleFront)")
//             .Add("input Buy Sword", "Buy(Player, Merchant, Sword)")
//             .Add("input Buy Potion", "Buy(Player, Merchant, Potion)")
//            .Add("input Steal Sword", "Steal(Player, Merchant, Sword, Market)")
//            .Add("input Steal Potion", "Steal(Player, Merchant, Potion, Market)");

//        }

//        private Item GetItem(string name)
//        {
//            return items.Single(z => z["name"].Equals(name));
//        }
//        private List<Item> Items()
//        {
//            return new List<Item>() {
//                new Item("Sword").Add("description", "A steel sword").Add("cost", "1 gold coin").Add("Own", ()=>{return icons.Enable("Sword", "Draw", "Draw", "Draw Sword", true); }),
//                new Item("Dagger").Add("description", "An ornated dagger"),
//                new Item("Greatsword").Add("description","Castle guard sword"),
//                new Item("Gem").Add("description", "A very intriguing gem"),
//                new Item("Potion").Add("description", "A very significant potion").Add("cost", "A valuable gem"),
//                new Item("Coin").Add("description", "A measly coin")
//            };
//        }
//    }
//}


